package com.steerinfo.ems.trmworkproc.mapper;

import com.steerinfo.ems.trmworkproc.model.TRmWorkproc;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface TRmWorkprocMapper extends IBaseMapper<TRmWorkproc, String> {

    List<TRmWorkproc> getTree(Map<String, Object> parameters);

    List<TRmWorkproc> getParent();

    List<TRmWorkprocMapper> getIdAndName(Map<String, Object> parameters);

    Integer getMaxSeqNo();

    /**
     * 根据转供电工序-站所（workshop），获取转供电工序列表
     * 
     * @param parmas
     * @return
     */
	List<TRmWorkproc> queryWorkprocs(Map<String, Object> parmas);

    /**
     * 月计划工序列表
     * @param parmas
     * @return
     */
	List<TRmWorkproc> queryPlanMoth();

}